
-- 
-- Struktura tabeli dla  `attendance`
-- 

CREATE TABLE `attendance` (
  `id` int(11) NOT NULL auto_increment,
  `student` int(11) NOT NULL default '0',
  `month` int(11) NOT NULL default '0',
  `absence` int(11) NOT NULL default '0',
  `lateness` int(11) NOT NULL default '0',
  `loabsence` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `student` (`student`),
  KEY `month` (`month`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;

-- --------------------------------------------------------

-- 
-- Struktura tabeli dla  `autocompletion`
-- 

CREATE TABLE `autocompletion` (
  `id` int(11) NOT NULL auto_increment,
  `type` int(11) NOT NULL,
  `text` varchar(100) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `type_2` (`type`,`text`),
  KEY `type` (`type`),
  KEY `text` (`text`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;

INSERT INTO `autocompletion` (type, text) VALUES('3', 'Język polski');
INSERT INTO `autocompletion` (type, text) VALUES('3', 'Język angielski');
INSERT INTO `autocompletion` (type, text) VALUES('3', 'Język francuski');
INSERT INTO `autocompletion` (type, text) VALUES('3', 'Język niemiecki');
INSERT INTO `autocompletion` (type, text) VALUES('3', 'Język czeski');
INSERT INTO `autocompletion` (type, text) VALUES('3', 'Język rosyjski');
INSERT INTO `autocompletion` (type, text) VALUES('3', 'Historia');
INSERT INTO `autocompletion` (type, text) VALUES('3', 'Sztuka');
INSERT INTO `autocompletion` (type, text) VALUES('3', 'Wiesza o kulturze');
INSERT INTO `autocompletion` (type, text) VALUES('3', 'Wiedza o społeczeństwie');
INSERT INTO `autocompletion` (type, text) VALUES('3', 'Podstawy przedsiębiorczości');
INSERT INTO `autocompletion` (type, text) VALUES('3', 'Przyroda');
INSERT INTO `autocompletion` (type, text) VALUES('3', 'Geografia');
INSERT INTO `autocompletion` (type, text) VALUES('3', 'Fizyka');
INSERT INTO `autocompletion` (type, text) VALUES('3', 'Matematyka');
INSERT INTO `autocompletion` (type, text) VALUES('3', 'Chemia');
INSERT INTO `autocompletion` (type, text) VALUES('3', 'Informatyka');
INSERT INTO `autocompletion` (type, text) VALUES('3', 'Technologia informacyjna');
INSERT INTO `autocompletion` (type, text) VALUES('3', 'Wychowanie fizyczne');
INSERT INTO `autocompletion` (type, text) VALUES('3', 'Religia');
INSERT INTO `autocompletion` (type, text) VALUES('3', 'Biologia');
INSERT INTO `autocompletion` (type, text) VALUES('3', 'Przysposobienie obronne');
INSERT INTO `autocompletion` (type, text) VALUES('3', 'Muzyka');
INSERT INTO `autocompletion` (type, text) VALUES('3', 'Plastyka');
INSERT INTO `autocompletion` (type, text) VALUES('3', 'Technika');

-- --------------------------------------------------------

-- 
-- Struktura tabeli dla  `classes`
-- 

CREATE TABLE `classes` (
  `id` int(11) NOT NULL auto_increment,
  `year` int(11) NOT NULL default '0',
  `description` varchar(100) NOT NULL default '',
  `number` int(11) NOT NULL default '0',
  `token` varchar(10) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `year` (`year`),
  KEY `number` (`number`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;

-- --------------------------------------------------------

-- 
-- Struktura tabeli dla  `marks`
-- 

CREATE TABLE `marks` (
  `id` int(11) NOT NULL auto_increment,
  `student` int(11) NOT NULL default '0',
  `semester` int(11) NOT NULL default '0',
  `subject` int(50) NOT NULL,
  `mark` varchar(8) NOT NULL default '',
  `date` varchar(10) NOT NULL default '',
  `description` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `student` (`student`),
  KEY `semester` (`semester`),
  KEY `subject` (`subject`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;

-- --------------------------------------------------------

-- 
-- Struktura tabeli dla  `remarks`
-- 

CREATE TABLE `remarks` (
  `id` int(11) NOT NULL auto_increment,
  `student` int(11) NOT NULL default '0',
  `positive` int(1) NOT NULL default '0',
  `text` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `student` (`student`),
  KEY `positive` (`positive`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;

-- --------------------------------------------------------

-- 
-- Struktura tabeli dla  `semestermarks`
-- 

CREATE TABLE `semestermarks` (
  `id` int(11) NOT NULL auto_increment,
  `semester` int(11) NOT NULL default '0',
  `student` int(11) NOT NULL default '0',
  `subject` int(11) NOT NULL default '0',
  `mark` int(11) NOT NULL default '-1',
  `description` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `semester` (`semester`),
  KEY `student` (`student`),
  KEY `subject` (`subject`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;

-- --------------------------------------------------------

-- 
-- Struktura tabeli dla  `students`
-- 

CREATE TABLE `students` (
  `id` int(11) NOT NULL auto_increment,
  `class` int(11) NOT NULL default '0',
  `name` varchar(30) NOT NULL default '',
  `surname` varchar(30) NOT NULL default '',
  `pesel` varchar(11) NOT NULL default '',
  `sid` varchar(10) NOT NULL default '',
  `birthdate` varchar(10) NOT NULL default '',
  `birthplace` varchar(30) NOT NULL default '',
  `address` varchar(100) NOT NULL,
  `parentsaddress` varchar(100) NOT NULL,
  `telephone` varchar(14) NOT NULL default '',
  `father` varchar(40) NOT NULL default '',
  `mother` varchar(40) NOT NULL default '',
  `info` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `class` (`class`),
  KEY `pesel` (`pesel`),
  KEY `surname` (`surname`),
  KEY `pesel_2` (`pesel`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;

-- --------------------------------------------------------

-- 
-- Struktura tabeli dla  `subjects`
-- 

CREATE TABLE `subjects` (
  `id` int(11) NOT NULL auto_increment,
  `class` int(11) NOT NULL default '0',
  `subject` varchar(50) NOT NULL default '',
  `teacher` varchar(50) NOT NULL default '',
  `average` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `class` (`class`),
  KEY `subject` (`subject`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;
