/*
 *  GUI/AboutDialog.cs
 *  Copyright (C) 2005 Marcin Krystian Krzywonos
 *  License: GNU/GPL version 2
 */


using System;
using Gtk;
using Glade;
using esofokles.Engine;



namespace esofokles.GUI {

	/// <summary>About dialog</summary>
	public class AboutDialog {
		public Gtk.Dialog dialog;

		[Glade.Widget] public Gtk.Button CloseBtn;
		[Glade.Widget] public Gtk.VBox   AboutDialogVBox;

		
		/// <summary>Constructor. Creates about dialog.</summary>
		public AboutDialog (Gtk.Window parent)
		{
			Glade.XML gui = Glade.XML.FromAssembly ("gui.glade", "AboutDialog", null);
			gui.Autoconnect (this);
			
			dialog = (Gtk.Dialog) gui.GetWidget ("AboutDialog");
			dialog.TransientFor = parent;
			AboutDialogVBox.BorderWidth = 0;
			
			
			// Icons and colors
			Icons.AssignWindow (dialog);
			Icons.AssignImage (Icons.ABOUT_HEAD, "AboutImg", gui);
			Icons.AssignImage (Icons.CLOSE_BUTTON, "CloseBtnImg", gui);
			Icons.AssignImage (Icons.ABCOM, "ABCOM_logo", gui);
			
			Colors.Modify (Colors.BG, "Bg", gui);
		}
		
		
		protected void on_WebpageBtn_clicked (object o, EventArgs args)
		{
			Tools.RunWebBrowser ("http://www.esofokles.ab-com.pl/");
		}
		
		
		protected void on_AbComBtn_clicked (object o, EventArgs args)
		{
			Tools.RunWebBrowser ("http://www.ab-com.pl/");
		}
	}
}