/*
 *  GUI/Icons.cs
 *  Copyright (C) 2006 Marcin Krystian Krzywonos
 *  License: GNU/GPL version 2
 */


using System;
using System.Reflection;
using Gdk;
using Gtk;
using Glade;


namespace esofokles.GUI {
	
	/*
	 * Icons class
	 */
	
	public static class Icons {
		public static string ABCOM                 = "ab-com.png";
		public static string LOGO_MINI             = "esofokles.png";
		public static string ABOUT_HEAD            = "about.png";
		public static string PERSONAL_DATA         = "personal_data.png";
		public static string ATTENDANCE            = "attendance.png";
		public static string MARKS                 = "marks.png";
		public static string REMARKS               = "remarks.png";
		public static string ADD_CLASS_BUTTON      = "add_class.png";
		public static string REMOVE_CLASS_BUTTON   = "remove_class.png";
		public static string OPEN_CLASS_BUTTON     = "open_class.png";
		public static string LOGIN_BUTTON          = "login.png";
		public static string LOGOUT_BUTTON         = "logout.png";
		public static string IMPORT_CLASSES_BUTTON = "importclasses-20.png";
		public static string IMPORT_CLASSES_DIALOG = "importclasses-48.png";
		public static string ADD_STUDENT_BUTTON    = "add_student.png";
		public static string OPEN_STUDENT_BUTTON   = "open_student.png";
		public static string REMOVE_STUDENT_BUTTON = "remove_student.png";
		public static string MOVE_STUDENT_BUTTON   = "move_student.png";
		public static string OK_BUTTON             = "ok.png";
		public static string CANCEL_BUTTON         = "cancel.png";
		public static string CLOSE_BUTTON          = "cancel.png";
		public static string CLASS_HEAD            = "class.png";
		public static string SUBJECTS_LIST_BUTTON  = "subjects_list.png";
		public static string SUBJECTS_LIST_DIALOG  = "subjects_list-48.png";
		public static string REPORTS_BUTTON        = "reports.png";
		public static string REPORTS_DIALOG        = "reports-48.png";
		public static string MOVE_STUDENT_HEAD     = "move_student_48.png";
		public static string STUDENT_HEAD          = "student.png";
		public static string ADD_REMARK_BUTTON     = "add_remark.png";
		public static string REMOVE_REMARK_BUTTON  = "remove_remark.png";
		public static string MODIFY_REMARK_BUTTON  = "modify_remark.png";
		public static string ADD_MARK_BUTTON       = "add_mark.png";
		public static string REMOVE_MARK_BUTTON    = "remove_mark.png";
		public static string NEW_MARK_BUTTON       = "add_mark.png";
		public static string SAVE_MARK_BUTTON      = "save_mark.png";
		public static string LEFT_BUTTON           = "left.png";
		public static string RIGHT_BUTTON          = "right.png";
		public static string ADD_SUBJECT_BUTTON    = "add_subject.png";
		public static string ADD_SUBJECT_DIALOG    = "add-subject-dialog.png";
		public static string SAVE_SUBJECT_BUTTON   = "save_subject.png";
		public static string MODIFY_SUBJECT_BUTTON = "save_subject.png";
		public static string MODIFY_SUBJECT_DIALOG = "modify_subject-48.png";
		public static string REMOVE_SUBJECT_BUTTON = "remove_subject.png";
		public static string NEW_SUBJECT_BUTTON    = "new_subject.png";
		public static string SUMMARY_TAB           = "summary.png";
		public static string NEXT_BUTTON           = "next.png";
		public static string LINK_MENU             = "link-menu.png";
		
		

		public static void AssignImage (string name, Gtk.Image icon)
		{
			icon.Pixbuf = new Gdk.Pixbuf (Assembly.GetEntryAssembly (), name);
		}
		
		
		public static void AssignImage (string name, string WidgetName, Glade.XML xml)
		{
			AssignImage (name, (Gtk.Image) xml.GetWidget (WidgetName));
		}
		
		
		public static void AssignToolButton (string name, Gtk.ToolButton button)
		{
			button.IconWidget = new Gtk.Image (new Gdk.Pixbuf (Assembly.GetEntryAssembly (), name));
			button.IconWidget.Show ();
		}
		
		
		public static void AssignMenuItem (string name, string WidgetName, Glade.XML xml)
		{
			AssignMenuItem (name, (Gtk.ImageMenuItem) xml.GetWidget (WidgetName));
		}
		
		
		public static void AssignMenuItem (string name, Gtk.ImageMenuItem item)
		{
			item.Image = new Gtk.Image (new Gdk.Pixbuf (Assembly.GetEntryAssembly (), name));
			item.Image.Show ();
		}
		
		
		public static void AssignToolButton (string name, string WidgetName, Glade.XML xml)
		{
			AssignToolButton (name, (Gtk.ToolButton) xml.GetWidget (WidgetName));
		}
		
		
		public static void AssignWindow (Gtk.Window window)
		{
			window.Icon = new Gdk.Pixbuf (Assembly.GetEntryAssembly (), LOGO_MINI);
		}
	}
}
